> For the complete documentation index, see [llms.txt](https://api-docs.urbanpiper.com/downstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.urbanpiper.com/downstream/api/endpoints/order-management/self-delivery-rider-management/rider-status-updates.md).

# Rider Status Updates

This API is used to share the rider updates with aggregators for self-delivery orders.

This API is utilized to share rider status updates with aggregators for self-delivery orders. Currently, Swiggy is the sole user of this feature. It ensures that the Swiggy platform is continuously informed about the real-time status of self-delivery orders, thereby enhancing the overall delivery experience.

{% hint style="warning" %}
It is mandatory to relay all supported rider statuses for self-delivery orders. In the event of rider reassignment, please ensure that you relay the `unassigned` state first, followed by the `assigned` state.
{% endhint %}

<details>

<summary>Sample cURL</summary>

```json
curl --location 'https://pos-int.urbanpiper.com/ext/api/v1/generic/pos/rider-status/' \
--header 'Authorization: apikey testusername:testapikey' \
--header 'Content-Type: application/json' \
--data '{
    "order_id": 2210002,
    "status": "ASSIGNED",
    "rider_data": {
        "rider_name": "Stuart",
        "rider_phone_number": "9999999999"
    }
}'
```

</details>

<details>

<summary>Response</summary>

```json
{
    "status": "success",
    "message": "enqueued successfully"
}
```

</details>

#### Request URL

<mark style="color:green;">**POST**</mark>  <mark style="color:orange;">`/ext/api/v1/generic/pos/rider-status/`</mark>

#### Request Headers

|                    Parameter                    | Value                                            |
| :---------------------------------------------: | ------------------------------------------------ |
| <mark style="color:red;">`Authorization`</mark> | API key-based auth header. Refer authentication. |

#### Request Parameters

|            Parameter            |   Type  | Value                                                                                                                                                                                                                                   |
| :-----------------------------: | :-----: | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|            `order_id`           | integer | UrbanPiper order ID                                                                                                                                                                                                                     |
|             `status`            |  string | <p>Rider status:<br>- <code>ASSIGNED</code><br>- <code>UNASSIGNED</code><br>- <code>AT-STORE</code><br>- <code>OUT-FOR-DELIVERY</code><br>- <code>RIDER-REACHED</code><br>- <code>DELIVERED</code><br>- <code>NO-RIDER-FOUND</code></p> |
|           `rider_data`          |  object | Object consists of rider information.                                                                                                                                                                                                   |
|     `rider_data.rider_name`     |  string | Rider contact name                                                                                                                                                                                                                      |
| `rider_data.rider_phone_number` |  string | Rider contact phone number                                                                                                                                                                                                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.urbanpiper.com/downstream/api/endpoints/order-management/self-delivery-rider-management/rider-status-updates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
